## org.eclipse.jst.jsf.context.symbol
Interface IJavaSymbol

All Superinterfaces:
  ISymbol

    public interface IJavaSymbol

extends ISymbol

Represents a symbol that has meaning within Java's context. This may be the name of a type, an instance, method etc.

Provisional API - subject to change

Field Summary
`static java.lang.String` `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`IJavaElement` `getJavaElement()` A IJavaElement may not exist for a symbol if it is synthetic at design time but will be bound to a Java symbol at runtime.
`void` `setJavaElement(IJavaElement value)` Sets the value of the '`Java Element`' attribute

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`getName, setName`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getJavaElement

    IJavaElement getJavaElement()

  A IJavaElement may not exist for a symbol if it is synthetic at design time but will be bound to a Java symbol at runtime. An example is a managed bean instance in JSF. JDT can provide no design-time meta-data for the symbol because it won't have a Java representation until the containing JSP is compiled.

  Returns:
    JDT's java element for this symbol or null if one doesn't exist.

### setJavaElement

    void setJavaElement(IJavaElement value)

  Sets the value of the '`Java Element`' attribute.

  Parameters:
    `value` - the new value of the 'Java Element' attribute.
  See Also:
    `getJavaElement()`